Subject: Re: [PATCH v5 01/16] swiotlb: Fix the type of index

From: Christoph Hellwig <[email-masked]>
Date: Fri, 23 Apr 2021 09:11:26 +0200

On Thu, Apr 22, 2021 at 04:14:53PM +0800, Claire Chang wrote:
> Fix the type of index from unsigned int to int since find_slots() might
> return -1.
> 
> Fixes: 0774983bc923 ("swiotlb: refactor swiotlb_tbl_map_single")
> Signed-off-by: Claire Chang <[email-masked]>

Looks good:

Reviewed-by: Christoph Hellwig <[email-masked]>

it really should go into 5.12.  I'm not sure if Konrad is going to
be able to queue this up due to his vacation, so I'm tempted to just
queue it up in the dma-mapping tree.